%define kernel_dir	/usr/src/linux
%define kernel_inc	%{kernel_dir}/include

Name:		dvbstream
Version:	0.5
Release:	%mkrel 8
Summary:	Broadcasts a DVB Stream over the Network
License:	GPLv2
Group:		Video/Utilities
URL:		http://dvbtools.sourceforge.net/
Source0:	http://sourceforge.net/projects/dvbtools/files/dvbstream/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	kernel-source

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
DVBstream is based on the ts-rtp package available at
http://www.linuxtv.org.  It broadcasts a (subset of a) DVB transport
stream over a LAN using the rtp protocol.  There were a couple of
small bugs in the original ts-rtp application, which I have fixed
here.

%prep
%setup -q

%build
#UK
%make INCS=-I%{kernel_inc}
install -m 755 dvbstream dvbstream-uk
install -m 755 dumprtp dvb_dumprtp-uk
install -m 755 rtpfeed dvb_rtpfeed-uk
install -m 755 ts_filter dvb_ts_filter-uk
%make clean
#Finland
%make INCS=-I%{kernel_inc} FINLAND=1
install -m 755 dvbstream dvbstream-fin
install -m 755 dumprtp dvb_dumprtp-fin
install -m 755 rtpfeed dvb_rtpfeed-fin
install -m 755 ts_filter dvb_ts_filter-fin
%make clean

%make INCS=-I%{kernel_inc} FINLAND2=1
install -m 755 dvbstream dvbstream-fin2
install -m 755 dumprtp dvb_dumprtp-fin2
install -m 755 rtpfeed dvb_rtpfeed-fin2
install -m 755 ts_filter dvb_ts_filter-fin2

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 dvbstream-* %{buildroot}%{_bindir}/
install -m 755 dvb_dumprtp* %{buildroot}%{_bindir}/
install -m 755 dvb_rtpfeed* %{buildroot}%{_bindir}/
install -m 755 dvb_ts_filter* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 TELNET/*.sh %{buildroot}%{_libdir}/%{name}/
install -m 755 TELNET/*.pl %{buildroot}%{_libdir}/%{name}/

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-uk 30 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-uk \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-fin 20 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-fin \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-fin2 10 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-fin2 \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

%post -f dvbstream-setup-alternatives.sh

%postun
if [ $1 = 0 ]; then
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-uk
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-fin
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-fin2
fi

%files
%doc README COPYING CHANGES
%{_bindir}/*
%{_libdir}/%{name}/


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.5-8.mga6
+ Revision: 941600
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-7.mga5
+ Revision: 748137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 678885
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 david-david <david-david> 0.5-5.mga5
+ Revision: 602702
- fix incorrect URL
- fix incorrect linkurl for Source0
- update tarball using the correct link (.bz2 does not exist)
- add update-alternatives package on requires(post/postun)

* Wed Jan 16 2013 fwang <fwang> 0.5-4.mga3
+ Revision: 388573
- update rpm group

* Wed Mar 23 2011 steletch <steletch> 0.5-4.mga1
+ Revision: 75933
- Clean spec file
- imported package dvbstream


* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.5-4mdv2009.0
+ Revision: 244557
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Thierry Vignaud <tv@mandriva.org> 0.5-2mdv2008.1
+ Revision: 115126
- use %%mkrel
- import dvbstream


* Tue Jun 08 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-3mdk
- initial contrib

* Sun Apr 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-2mdk
- fix group
- add changelog :-)
- rename spec to dvbstream (!dvbstream2)
  update-alternatives should be working :-)

* Sun Apr 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-1mdk
- initial build for club

